Infrastructure components must be running the supported software versions.

Software Version Requirements for the HCX Installations

Note:

In cloud-to-cloud deployments, the HCX Cloud environment requirements apply to both sides of a site pair.

Note:

For specific compatibility information, select VMware HCX in the VMware Product Interoperability Matrix.

For information about General Availability (GA), End of Support (EoS), End of Technical Guidance (EoTG) for VMware software, see the VMware Product Lifecycle Matrix.

Component Type

HCX Connector Environment Requirements

HCX Cloud Environment Requirements

vSphere

  • GA vSphere versions.

  • EoS vSphere (within EoTG for legacy evacuations)
  • GA vSphere versions.

NSX

  • GA NSXv

  • GA NSX-T
  • GA NSXv

  • GA NSX-T

vCloud Director

  • Not supported at the source.

  • GA vCD with NSXv

  • vCD with NSX-T is not yet supported.

Software Version Requirements Listed by HCX Feature

Feature

Source Site Component Version Requirements

Destination Site Component Version Requirements

HCX Bulk Migration

  • vSphere 6.0+

  • vSphere 6.5+

  • NSXv 6.4.8+ or NSX-T 2.5.0+

  • vSphere 7.0+ with NSX-T 3.0.1+

HCX vMotion

  • vSphere 6.0+

  • vSphere 6.5+

  • NSXv 6.4.8+ or NSX-T 2.5.0+

  • vSphere 7.0+ with NSX-T 3.0.1+

HCX Cold Migration

  • vSphere 6.0+

  • vSphere 6.5+

  • NSXv 6.4.8+ or NSX-T 2.5.0+

  • vSphere 7.0+ with NSX-T 3.0.1+

HCX Replication Assisted vMotion

  • vSphere 6.0+

  • vSphere 6.5 U3F+ or vSphere 6.7U3

  • NSXv 6.4.8+ or NSX-T 2.5.0+

  • vSphere 7.0+ with NSX-T 3.0.1+

HCX OS Assisted Migration

  • vSphere 6.0+

For a list of supported guest OS versions, see Understanding VMware HCX OS Assisted Migration.

  • vSphere 6.5+

  • NSXv 6.4.8+ or NSX-T 2.5.0+

  • vSphere 7.0+ with NSX-T 3.0.1+

Network Extension of vSphere Distributed Switch VM Networks

  • vSphere 6.0+

  • vSphere 6.5+

  • NSXv 6.4.8+ or NSX-T 2.5.0+

  • vSphere 7.0+ with NSX-T 3.0.1+

Network Extension for NSXv Logical Switches

  • vSphere 6.0+

  • NSX for vSphere 6.4.4+

  • vSphere 6.5+

  • NSXv 6.4.8+ or NSX-T 2.5.0+

  • vSphere 7.0+ with NSX-T 3.0.1+

Network Extension for NSX-T VLAN or Overlay Segments

  • vSphere 6.0+

  • NSX-T 2.4.0+

  • vSphere 6.5+

  • NSXv 6.4.8+ or NSX-T 2.5.0+

  • vSphere 7.0+ with NSX-T 3.0.1+

VMware HCX Disaster Recovery

  • vSphere 6.0+

  • vSphere 6.5+

  • NSXv 6.4.8+ or NSX-T 2.5.0+

  • vSphere 7.0+ with NSX-T 3.0.1+

Site Recovery Manager Integration

  • vSphere 6.5+

  • vSphere 6.5+

  • NSXv 6.4.8+ or NSX-T 2.5.0+

  • vSphere 7.0+ with NSX-T 3.0.1+

Mobility Optimized Networking

  • vSphere 6.0+

  • vSphere 6.5+

  • NSX-T 3.0+

  • vSphere 7.0+ with NSX-T 3.0.1+

Traffic Engineering

  • Application Path Resiliency

  • TCP Flow Conditioning

  • vSphere 6.0+

  • vSphere 6.5+

  • NSXv 6.4.8+ or NSX-T 2.5.0+

  • vSphere 7.0+ with NSX-T 3.0.1+

Interoperability with External Software

HCX can operate with other VMware services provided they meet the requirements for interoperability.

Software Interoperability

Requirements

vSphere Replication and HCX

For HCX and vSphere Replication installations to co-exist, vSphere Replication 8.1 or above is required. This allows both systems to manage replications without disrupting the other system's configurations. Any single virtual machine cannot be managed by both systems simultaneously.

vRealize Operations (VROPS) and HCX

VROPS 8.1.1+.

VROPS Management Pack for HCX

HCX requires Management Pack 5.1+.